#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  Talloc-2.3.3

- Next

  Uchardet-0.0.7

- Up
- Home

# telepathy-glib-0.24.2

## Introduction to Telepathy GLib

The Telepathy GLib contains a library used by GLib based Telepathy components. Telepathy is a D-Bus framework for unifying real time communication, including instant messaging, voice calls and video calls. It abstracts differences between protocols to provide a unified interface for applications.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://telepathy.freedesktop.org/releases/telepathy-glib/telepathy-glib-0.24.2.tar.gz

- Download MD5 sum: a3a75657e9389381b44fee1680f770a7

- Download size: 3.7 MB

- Estimated disk space required: 256 MB

- Estimated build time: 1.2 SBU

### Telepathy GLib Dependencies

#### Required

dbus-glib-0.112 and libxslt-1.1.35

#### Recommended

gobject-introspection-1.70.0, and Vala-0.54.7

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/telepathy-glib

## Installation of Telepathy Glib

If you intend to run the tests, one of them defaults to invoking `/usr/bin/python` and fails if it is absent, causing the second batch of tests to not run - unlike the other tests which can be overridden from the environment. Fix it with the following command:

    sed -i 's%/usr/bin/python%&3%' tests/all-errors-documented.py

Install Telepathy GLib by running the following commands:

    PYTHON=/usr/bin/python3 ./configure --prefix=/usr          \
                                        --enable-vala-bindings \
                                        --disable-static       &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-vala-bindings`: This switch enables building of the Vala bindings. Remove if you don't have Vala-0.54.7 installed.

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libtelepathy-glib.so
Installed Directories: /usr/include/telepathy-1.0 and /usr/share/gtk-doc/html/telepathy-glib

### Short Descriptions

`libtelepathy-glib.so` | contains the Telepathy GLib API functions

Last updated on

- Prev

  Talloc-2.3.3

- Next

  Uchardet-0.0.7

- Up
- Home